GNU bug report logs - #34341
26.1; url-retrieve-synchronously returns blank buffer

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Laurent Charignon <l.charignon@HIDDEN>; dated Wed, 6 Feb 2019 07:11:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug Marked as fixed in versions 27.1. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 34341 <at> debbugs.gnu.org:


Received: (at 34341) by debbugs.gnu.org; 6 Feb 2019 08:13:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 06 03:13:38 2019
Received: from localhost ([127.0.0.1]:33978 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1grIKw-0001Qt-3J
	for submit <at> debbugs.gnu.org; Wed, 06 Feb 2019 03:13:38 -0500
Received: from mail-it1-f182.google.com ([209.85.166.182]:56279)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <l.charignon@HIDDEN>) id 1grIKv-0001Qa-4N
 for 34341 <at> debbugs.gnu.org; Wed, 06 Feb 2019 03:13:37 -0500
Received: by mail-it1-f182.google.com with SMTP id m62so4213930ith.5
 for <34341 <at> debbugs.gnu.org>; Wed, 06 Feb 2019 00:13:37 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=Pn1hJpjpemk9SFljGqCCRlUufH1yQ6eaFX9mdKUN05Q=;
 b=EQlpqzxq8VejSu65LP83zsNUeuCPT7wVy93S43ZyIe2YuCoQedpmuFuptwq14KXy5H
 lGrG9ye8M86T0wUxduaNpV2boB5C1xv6pilRV2E2B9tj0oURMekVxUATw95FARb81SOJ
 4gMrw0/INTP4lnDJylOAWcsiaNJQog/ryqbI6iw33Z6I+m83F/6cIIs6wpe8Ff9vBbw/
 S6FF9sWRZtKRoLGRJKVL37A4HBDXv4zANmsXn7VitcVwNce6m0TBdp09Y/mx0qzUrJie
 5+2QxnDoR2N8G0vyyHmWTwbuvfdsyhghN1kV8836+rkB9pGEzZbX+BGSYgWh0ddYmZLe
 MOVw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=Pn1hJpjpemk9SFljGqCCRlUufH1yQ6eaFX9mdKUN05Q=;
 b=e85d7fwJDn6us3cMmTsk4RMInxrQQJu9DTobmckLGGd8dy9XPiGYGze8FYDYYOE4Fd
 0snt3Wxni4g9Vb7K+TDrF0448kicasScGcgE6rlCCeA4pT5MqlhSyx5QLGbAf+YxvD3p
 wMMLgOsEWZeQ0j4rl+Dr/I7xKlQHPmpyZByqyFP95qq55FluZuDA0HVvDp/7w0/claju
 SyWq6iUKTm1mx4hHrt5yriFupZAwZxrGUUOqbIuY07XjtNRNWI9cWy1PjYb6xQSLBLVe
 TgSlwHvI3Gkzwi+0/hsmTv8H+ltLD1neqR9dhRv5uCR0IVWqTbx70MKjq0byIH8SH1ex
 eCYQ==
X-Gm-Message-State: AHQUAuac+bH+CqsK9UP9NHeHh5jH8uuHXkr3Z+/KsHox2q8QQwlsRTxf
 OJp+h7p6CbXTG1ZF9MZ0xr9E88AQeTUqRESKfojw+mcX
X-Google-Smtp-Source: AHgI3IZsgICvO5ZyIjpp+1apWcd+Kasm95snHWvdvfgzBKGQgdKsnt1D6FGX1qGDByLkC7kgsONqn6JfqC4gXEmOcKI=
X-Received: by 2002:a02:7b09:: with SMTP id q9mr5096927jac.39.1549440809116;
 Wed, 06 Feb 2019 00:13:29 -0800 (PST)
MIME-Version: 1.0
From: Laurent Charignon <l.charignon@HIDDEN>
Date: Wed, 6 Feb 2019 00:12:45 -0800
Message-ID: <CA+7=K2jDN4n3j+fcbDPwEzkwD3LkrE3ORji2KN5-Yi06_KM5WA@HIDDEN>
Subject: Seems fixed in latest master 5259fdf96073febd18e83785960c443bdf02a310
To: 34341 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="0000000000000729c50581354d8e"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34341
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000000729c50581354d8e
Content-Type: text/plain; charset="UTF-8"

I built the latest master I could find in git
(5259fdf96073febd18e83785960c443bdf02a31) and the bug seems fixed there!

From bisecting, I know that the fix is in between 191a5568db (working) and
2a3bd6798e96708 (not working). It is hard to pinpoint further due to
segfaults that were introduced then fixed in this range. My best guess is
that "Fix unlikely races with GnuTLS, datagrams" (e87e6a24c4) resolved this.

--0000000000000729c50581354d8e
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr"><div dir=3D"ltr"><div dir=3D"ltr"><div di=
r=3D"ltr"><div dir=3D"ltr"><div dir=3D"ltr">I built  the latest master I co=
uld find in git (5259fdf96073febd18e83785960c443bdf02a31) and the bug seems=
 fixed there!</div><div dir=3D"ltr"><br></div><div>From bisecting, I know t=
hat the fix is in between 191a5568db (working) and 2a3bd6798e96708 (not wor=
king). It is hard to pinpoint further due to segfaults that were introduced=
 then fixed in this range. My best guess is that &quot;Fix unlikely races w=
ith GnuTLS, datagrams&quot; (e87e6a24c4) resolved this.<br></div></div></di=
v></div></div></div></div>

--0000000000000729c50581354d8e--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34341; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Feb 2019 07:10:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 06 02:10:52 2019
Received: from localhost ([127.0.0.1]:33953 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1grHMB-0008Ij-4W
	for submit <at> debbugs.gnu.org; Wed, 06 Feb 2019 02:10:52 -0500
Received: from eggs.gnu.org ([209.51.188.92]:60934)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <l.charignon@HIDDEN>) id 1grFFt-0002tT-9Z
 for submit <at> debbugs.gnu.org; Tue, 05 Feb 2019 23:56:14 -0500
Received: from lists.gnu.org ([209.51.188.17]:42202)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <l.charignon@HIDDEN>)
 id 1grFFo-0004bz-2o
 for submit <at> debbugs.gnu.org; Tue, 05 Feb 2019 23:56:08 -0500
Received: from eggs.gnu.org ([209.51.188.92]:47071)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <l.charignon@HIDDEN>) id 1grFFk-0004yG-VC
 for bug-gnu-emacs@HIDDEN; Tue, 05 Feb 2019 23:56:07 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.9 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,HTML_OBFUSCATE_10_20 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <l.charignon@HIDDEN>) id 1grFFg-0004Z3-Vz
 for bug-gnu-emacs@HIDDEN; Tue, 05 Feb 2019 23:56:04 -0500
Received: from mail-it1-x141.google.com ([2607:f8b0:4864:20::141]:39929)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <l.charignon@HIDDEN>)
 id 1grFFe-0004Xp-RS
 for bug-gnu-emacs@HIDDEN; Tue, 05 Feb 2019 23:55:59 -0500
Received: by mail-it1-x141.google.com with SMTP id a6so3393100itl.4
 for <bug-gnu-emacs@HIDDEN>; Tue, 05 Feb 2019 20:55:56 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=hIffI8qkoTGNljm4v8gCLHB3v6qJxAD0gTe1YamYe24=;
 b=YTjBZAmluopQmtPHBJZWGORlUgRVDEvZrofenmiB+ZbWaEhHvZ1yzOVDIA7GcS3Oij
 IKR4+E000qJEAsa9yrIbIo/iZejGamOVfcHHyWr9sb8ZRnRWKXQ+FFHIVZGqOUx2LywE
 MOfypDD7RngwteDHEhbNExsmgIoOhr7RomAGprO8EPpIbK0ONzsKkv/7vHPvtgLJ6ohT
 Ds0+mOZ3HzcT6ofZUic0xXJJ4JgfogXcv4Oh+OQlfn7I1LFbHxYbHHrimfXAQzt8j9Xi
 2pmEBzwzdWM53Hvkv+iuAI6VMWYrWuIYGHnT7+DDfkk+yD/pnB1vcBnh4ht4luj958Xe
 55Lw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=hIffI8qkoTGNljm4v8gCLHB3v6qJxAD0gTe1YamYe24=;
 b=SUM+RGFIAnbBMLo1Dr7hi7njErK/qMHZmqxwcvnEh1EG9bN/eSOnw1yBO8KhK0Pty2
 Stcn96hvwS3GyeVGO2II/+K2h+f+7Nvb8czL2E2oI6DY72N+MNW+VBqYH4ZYPhGXily8
 wjTP1SGDEED0P/eoDFlfVAoWnNufj53eYrbFL0FSjrKlpbjQ1p55APZsXU/DQbWpEZFQ
 VXaQ30lipnzpX0H1+yrHvmL9zdl/VtLHHDNY6c3wYbT4RtV8+e2H9a8KGkDcwVtHTLua
 azDABwuWwaR8tOKYJmwBlyb+lGKDmDZBOJi/gkkUlwVx+Dl9l/tU0UxGMg5LMXwbun4Z
 U9hQ==
X-Gm-Message-State: AHQUAuY/CPp7abg67uy2gnDAhSCIpiq2rN6QTPZkAW3XlyT/zQXmjfg8
 cS4+bvpH8FRSrWtYitG+AOjh9ljaZ6HqrIxO+n9mzYkk
X-Google-Smtp-Source: AHgI3IZ+kLfmz2+r+XXOAc+h3DfTrEHiINPcJPIOM1soZ/pQTc6xg8nLO0hZYRvirho8Fw51rpVYGyl1MK1ylif0wJo=
X-Received: by 2002:a24:6fc4:: with SMTP id x187mr1495243itb.93.1549428954732; 
 Tue, 05 Feb 2019 20:55:54 -0800 (PST)
MIME-Version: 1.0
From: Laurent Charignon <l.charignon@HIDDEN>
Date: Tue, 5 Feb 2019 20:55:11 -0800
Message-ID: <CA+7=K2gfxsgW7sUCLR7294kcA1kG+-0FSqL1wmdq2U5s8v2Syw@HIDDEN>
Subject: 26.1; url-retrieve-synchronously returns blank buffer
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="00000000000073a18c0581328aa1"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::141
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: #### Context The symptom of this issue first came up in the
 context of `ghub`, a package that offers interfacing with Github from emacs
 (issue: https://github.com/magit/ghub/issues/81). Multiple users of the `ghub`
 package started observing that synchronously retrieving content from the
 github API through ghub returned blank responses. 
 Content analysis details:   (2.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (l.charignon[at]gmail.com)
 1.2 HTML_OBFUSCATE_10_20   BODY: Message is 10% to 20% HTML
 obfuscation
 0.0 HTML_MESSAGE           BODY: HTML included in message
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 06 Feb 2019 02:10:49 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  #### Context The symptom of this issue first came up in the
    context of `ghub`, a package that offers interfacing with Github from emacs
    (issue: https://github.com/magit/ghub/issues/81). Multiple users of the `ghub`
    package started observing that synchronously retrieving content from the
   github API through ghub returned blank responses. 
 
 Content analysis details:   (1.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (l.charignon[at]gmail.com)
  1.2 HTML_OBFUSCATE_10_20   BODY: Message is 10% to 20% HTML
                             obfuscation
  0.0 HTML_MESSAGE           BODY: HTML included in message
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--00000000000073a18c0581328aa1
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

#### Context

The symptom of this issue first came up in the context of `ghub`, a package
that offers interfacing with Github from emacs (issue:
https://github.com/magit/ghub/issues/81).

Multiple users of the `ghub` package started observing that
synchronously retrieving content from the github API through ghub
returned blank responses.

I investigated and narrowed down a minimal repro case of the problem,
which I believe indicate that the problem is in Emacs itself.

#### Steps to reproduce

1) Run emacs -Q
2) Evaluate the following elisp snippet
```
(switch-to-buffer (url-retrieve-synchronously "
https://api.github.com/users/charignon/repos")
                  (buffer-string))
```

I expect then to see a buffer with an http response, instead I get a
blank buffer.

#### Investigation / Observation

1) This behavior reproduces consistently with api.github.com, not with
any websites that I tried.

2) `url-retrieve`, the asynchronous way to fetch url, does not seem to be
subject to the issue, and works as expected, for
example:
```
(url-retrieve "https://api.github.com/users/charignon/repos" (lambda (x
&rest v) x))
```
works

3) Once a connection is established (for example by `url-retrieve`) and
can be reused, then `url-retrieve-synchronously` works. That is, the
snippet above returns a buffer with an HTTP response from github. Removing
the connection (emacs process managing it) is necessary after you ran
`url-retrieve` if you want to reproduce the bug.

4) I used wireshark to look at the network traffic:

Here is the trace for the `url-retrieve-synchronously` call to github
(from steps to reproduce):

I blurred out the info field for DNS packets (not relevant)

```
No.     Time           Source                Destination           Protocol
Length Info
      9 1.658218501    vulture.lan           testwifi.here         DNS
74     XXX
     10 1.658260266    vulture.lan           testwifi.here         DNS
74     XXX
     11 1.665053481    testwifi.here         vulture.lan           DNS
158    XXX
     12 1.703946584    testwifi.here         vulture.lan           DNS
106    XXX
     13 1.704485426    vulture.lan           api.github.com        TCP
74     55424 =E2=86=92 https(443) [SYN] Seq=3D0 Win=3D29200 Len=3D0 MSS=3D1=
460 SACK_PERM=3D1
TSval=3D2499281666 TSecr=3D0 WS=3D128
     14 1.728009793    api.github.com        vulture.lan           TCP
74     https(443) =E2=86=92 55424 [SYN, ACK] Seq=3D0 Ack=3D1 Win=3D28480 Le=
n=3D0 MSS=3D1436
SACK_PERM=3D1 TSval=3D3029633168 TSecr=3D2499281666 WS=3D1024
     15 1.728074018    vulture.lan           api.github.com        TCP
66     55424 =E2=86=92 https(443) [ACK] Seq=3D1 Ack=3D1 Win=3D29312 Len=3D0
TSval=3D2499281689 TSecr=3D3029633168
     16 1.748051225    vulture.lan           api.github.com        TLSv1.3
583    Client Hello
     17 1.773082726    api.github.com        vulture.lan           TLSv1.3
1490   Server Hello, Change Cipher Spec, Encrypted Extensions
     18 1.773104270    vulture.lan           api.github.com        TCP
66     55424 =E2=86=92 https(443) [ACK] Seq=3D518 Ack=3D1425 Win=3D32128 Le=
n=3D0
TSval=3D2499281734 TSecr=3D3029633179
     19 1.773405428    vulture.lan           api.github.com        TLSv1.3
72     Change Cipher Spec
     20 1.774050525    api.github.com        vulture.lan           TCP
1490   https(443) =E2=86=92 55424 [ACK] Seq=3D1425 Ack=3D518 Win=3D29696 Le=
n=3D1424
TSval=3D3029633179 TSecr=3D2499281709 [TCP segment of a reassembled PDU]
     21 1.775039404    api.github.com        vulture.lan           TLSv1.3
615    Certificate, Certificate Verify, Finished
     22 1.775047977    vulture.lan           api.github.com        TCP
66     55424 =E2=86=92 https(443) [ACK] Seq=3D524 Ack=3D3398 Win=3D37760 Le=
n=3D0
TSval=3D2499281736 TSecr=3D3029633179
     23 1.838313183    api.github.com        vulture.lan           TCP
66     https(443) =E2=86=92 55424 [ACK] Seq=3D3398 Ack=3D524 Win=3D29696 Le=
n=3D0
TSval=3D3029633196 TSecr=3D2499281735
     24 1.838358258    vulture.lan           api.github.com        HTTP
 388    GET /users/charignon/repos HTTP/1.1
     25 1.861920124    api.github.com        vulture.lan           TCP
66     https(443) =E2=86=92 55424 [ACK] Seq=3D3398 Ack=3D846 Win=3D30720 Le=
n=3D0
TSval=3D3029633201 TSecr=3D2499281800
     26 1.862284763    api.github.com        vulture.lan           TLSv1.3
145    New Session Ticket
     27 1.862648197    api.github.com        vulture.lan           TLSv1.3
145    New Session Ticket
     28 1.864591679    vulture.lan           api.github.com        TCP
66     55424 =E2=86=92 https(443) [RST, ACK] Seq=3D846 Ack=3D3556 Win=3D377=
60 Len=3D0
TSval=3D2499281826 TSecr=3D3029633201
     29 1.866733948    vulture.lan           testwifi.here         DNS
74     XXX
     30 1.866762442    vulture.lan           testwifi.here         DNS
74     XXX
     31 1.874549249    testwifi.here         vulture.lan           DNS
158    XXX
     32 1.900313841    testwifi.here         vulture.lan           DNS
106    XXX
     33 1.900576751    vulture.lan           api.github.com        TCP
74     43292 =E2=86=92 https(443) [SYN] Seq=3D0 Win=3D29200 Len=3D0 MSS=3D1=
460 SACK_PERM=3D1
TSval=3D4190850269 TSecr=3D0 WS=3D128
     34 1.903210022    vulture.lan           testwifi.here         DNS
88     XXX
     35 1.903272421    vulture.lan           testwifi.here         DNS
87     XXX
     36 1.903318706    vulture.lan           testwifi.here         DNS
86     XXX
     37 1.903361506    vulture.lan           testwifi.here         DNS
85     XXX
     38 1.906623630    testwifi.here         vulture.lan           DNS
137    XXX
     39 1.906956508    testwifi.here         vulture.lan           DNS
137    XXX
     40 1.907649896    testwifi.here         vulture.lan           DNS
87     XXX
     41 1.908724609    testwifi.here         vulture.lan           DNS
156    XXX
     42 1.925632754    api.github.com        vulture.lan           TCP
74     https(443) =E2=86=92 43292 [SYN, ACK] Seq=3D0 Ack=3D1 Win=3D28480 Le=
n=3D0 MSS=3D1436
SACK_PERM=3D1 TSval=3D3140518241 TSecr=3D4190850269 WS=3D1024
     43 1.925691567    vulture.lan           api.github.com        TCP
66     43292 =E2=86=92 https(443) [ACK] Seq=3D1 Ack=3D1 Win=3D29312 Len=3D0
TSval=3D4190850294 TSecr=3D3140518241
     44 1.926622012    vulture.lan           api.github.com        HTTP
 308    GET /users/charignon/repos HTTP/1.1
     45 1.950026748    api.github.com        vulture.lan           TCP
66     https(443) =E2=86=92 43292 [FIN, ACK] Seq=3D1 Ack=3D243 Win=3D29696 =
Len=3D0
TSval=3D3140518247 TSecr=3D4190850295
     46 1.950219585    vulture.lan           api.github.com        TCP
66     43292 =E2=86=92 https(443) [FIN, ACK] Seq=3D243 Ack=3D2 Win=3D29312 =
Len=3D0
TSval=3D4190850318 TSecr=3D3140518247
     47 1.972892477    api.github.com        vulture.lan           TCP
66     https(443) =E2=86=92 43292 [ACK] Seq=3D2 Ack=3D244 Win=3D29696 Len=
=3D0
TSval=3D3140518253 TSecr=3D4190850318
```

vulture.lan is my computer.
testwifi.here is my DNS.
starting at packet 33 we talk to a second github server, not like the one
we talk to in packet 13.
I configured wireshark to inspect encrypted traffic to see the HTTP
request in there.
What you can notice is that in the synchronous (failing) case, packet 28
is resetting (unexpectedly as far as I can tell) the TCP connection, and
we attempt a retry, which does not work.

And here is the trace for the `url-retrieve` case, where everything goes
well:

```
No.     Time           Source                Destination           Protocol
Length Info
      1 0.000000000    vulture.lan           testwifi.here         DNS
74     XXX
      2 0.000068027    vulture.lan           testwifi.here         DNS
74     XXX
      3 0.008919887    testwifi.here         vulture.lan           DNS
158    XXX
      4 0.035184884    testwifi.here         vulture.lan           DNS
106    XXX
      5 0.107029734    vulture.lan           api.github.com        TCP
74     55428 =E2=86=92 https(443) [SYN] Seq=3D0 Win=3D29200 Len=3D0 MSS=3D1=
460 SACK_PERM=3D1
TSval=3D2499323470 TSecr=3D0 WS=3D128
      6 0.134137564    api.github.com        vulture.lan           TCP
74     https(443) =E2=86=92 55428 [SYN, ACK] Seq=3D0 Ack=3D1 Win=3D28480 Le=
n=3D0 MSS=3D1436
SACK_PERM=3D1 TSval=3D2535678566 TSecr=3D2499323470 WS=3D1024
      7 0.134221939    vulture.lan           api.github.com        TCP
66     55428 =E2=86=92 https(443) [ACK] Seq=3D1 Ack=3D1 Win=3D29312 Len=3D0
TSval=3D2499323498 TSecr=3D2535678566
      8 0.134313037    vulture.lan           api.github.com        TLSv1.3
583    Client Hello
      9 0.162958206    api.github.com        vulture.lan           TLSv1.3
1490   Server Hello, Change Cipher Spec, Encrypted Extensions
     10 0.163005821    vulture.lan           api.github.com        TCP
66     55428 =E2=86=92 https(443) [ACK] Seq=3D518 Ack=3D1425 Win=3D32128 Le=
n=3D0
TSval=3D2499323526 TSecr=3D2535678573
     11 0.163752256    api.github.com        vulture.lan           TCP
1490   https(443) =E2=86=92 55428 [ACK] Seq=3D1425 Ack=3D518 Win=3D29696 Le=
n=3D1424
TSval=3D2535678573 TSecr=3D2499323498 [TCP segment of a reassembled PDU]
     12 0.163769338    vulture.lan           api.github.com        TLSv1.3
72     Change Cipher Spec
     13 0.164938244    api.github.com        vulture.lan           TLSv1.3
615    Certificate, Certificate Verify, Finished
     14 0.164970615    vulture.lan           api.github.com        TCP
66     55428 =E2=86=92 https(443) [ACK] Seq=3D524 Ack=3D3398 Win=3D37760 Le=
n=3D0
TSval=3D2499323528 TSecr=3D2535678573
     15 0.229427678    api.github.com        vulture.lan           TCP
66     https(443) =E2=86=92 55428 [ACK] Seq=3D3398 Ack=3D524 Win=3D29696 Le=
n=3D0
TSval=3D2535678590 TSecr=3D2499323527
     16 0.229496471    vulture.lan           api.github.com        HTTP
 388    GET /users/charignon/repos HTTP/1.1
     17 0.253820590    api.github.com        vulture.lan           TCP
66     https(443) =E2=86=92 55428 [ACK] Seq=3D3398 Ack=3D846 Win=3D30720 Le=
n=3D0
TSval=3D2535678596 TSecr=3D2499323593
     18 0.255187068    api.github.com        vulture.lan           TLSv1.3
145    New Session Ticket
     19 0.256462285    api.github.com        vulture.lan           TLSv1.3
145    New Session Ticket
     20 0.256590338    vulture.lan           api.github.com        TCP
66     55428 =E2=86=92 https(443) [ACK] Seq=3D846 Ack=3D3556 Win=3D37760 Le=
n=3D0
TSval=3D2499323620 TSecr=3D2535678596
     21 0.485155486    api.github.com        vulture.lan           TLSv1.3
1458   [SSL segment of a reassembled PDU]
     22 0.485523530    api.github.com        vulture.lan           TLSv1.3
1458   [SSL segment of a reassembled PDU]
     23 0.485567467    vulture.lan           api.github.com        TCP
66     55428 =E2=86=92 https(443) [ACK] Seq=3D846 Ack=3D6340 Win=3D43392 Le=
n=3D0
TSval=3D2499323849 TSecr=3D2535678654
     24 0.486210922    api.github.com        vulture.lan           TLSv1.3
1490   [SSL segment of a reassembled PDU]
     25 0.486551493    api.github.com        vulture.lan           TLSv1.3
1276   [SSL segment of a reassembled PDU]
     26 0.486588968    vulture.lan           api.github.com        TCP
66     55428 =E2=86=92 https(443) [ACK] Seq=3D846 Ack=3D8974 Win=3D49152 Le=
n=3D0
TSval=3D2499323850 TSecr=3D2535678654
     27 0.487345701    api.github.com        vulture.lan           TLSv1.3
1490   [SSL segment of a reassembled PDU]
     28 0.487710595    api.github.com        vulture.lan           TLSv1.3
1490   [SSL segment of a reassembled PDU] [TCP segment of a reassembled PDU=
]
     29 0.487741685    vulture.lan           api.github.com        TCP
66     55428 =E2=86=92 https(443) [ACK] Seq=3D846 Ack=3D11822 Win=3D54784 L=
en=3D0
TSval=3D2499323851 TSecr=3D2535678654
     30 0.489279277    api.github.com        vulture.lan           TLSv1.3
1490   [SSL segment of a reassembled PDU] [TCP segment of a reassembled PDU=
]
     31 0.490560244    api.github.com        vulture.lan           TLSv1.3
1490   [SSL segment of a reassembled PDU] [TCP segment of a reassembled PDU=
]
     32 0.490600325    vulture.lan           api.github.com        TCP
66     55428 =E2=86=92 https(443) [ACK] Seq=3D846 Ack=3D14670 Win=3D60544 L=
en=3D0
TSval=3D2499323854 TSecr=3D2535678654
     33 0.491903018    api.github.com        vulture.lan           TLSv1.3
1490   [SSL segment of a reassembled PDU] [TCP segment of a reassembled PDU=
]
     34 0.493248621    api.github.com        vulture.lan           TLSv1.3
1490   [SSL segment of a reassembled PDU] [TCP segment of a reassembled PDU=
]
     35 0.493286446    vulture.lan           api.github.com        TCP
66     55428 =E2=86=92 https(443) [ACK] Seq=3D846 Ack=3D17518 Win=3D66176 L=
en=3D0
TSval=3D2499323857 TSecr=3D2535678654
     36 0.501270566    vulture.lan           testwifi.here         DNS
86     XXX
     37 0.501341962    vulture.lan           testwifi.here         DNS
85     XXX
     38 0.503268399    testwifi.here         vulture.lan           DNS
137    XXX
     39 0.504365465    testwifi.here         vulture.lan           DNS
137    XXX
     40 0.507593395    api.github.com        vulture.lan           HTTP
 75     HTTP/1.1 200 OK  (application/json)
     41 0.549680721    vulture.lan           api.github.com        TCP
66     55428 =E2=86=92 https(443) [ACK] Seq=3D846 Ack=3D17527 Win=3D66176 L=
en=3D0
TSval=3D2499323913 TSecr=3D2535678660
```

5) I noticed that adding `(sit-for 0.5)` in various places throughout the
codepath would consistently make the bug go away. For example in
`open-network-stream` after opening the stream, or at the beginning of
`url-http-create-request`.

6) I couldn't find information online indicating that github changed
anything in their network request handling that broke other tools.

I am using Emacs 26.1:

In GNU Emacs 26.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.22.30)
 of 2018-07-05 built on juergen
Windowing system distributor 'The X.Org Foundation', version 11.0.12003000
System Description: Manjaro Linux

--00000000000073a18c0581328aa1
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: base64
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--00000000000073a18c0581328aa1--




Acknowledgement sent to Laurent Charignon <l.charignon@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#34341; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 6 Feb 2019 18:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.